require_relative '../../test_helper'

describe Myredditnews::App do

  it 'be configured' do
    sample_format = '#{date} >> #{title} - #{author}'
    user, pass    = 'user', 'pass'
    s1name        = 'my special blog source'
    s2url         = 'http://another.com/one/two.rss'

    mrn = Myredditnews::App.new do
      username 'user'
      password 'pass'
      history '~/.mrn'
      # Complex source
      source 'http://hey.com/path/to.rss' do
        formatter sample_format
        name s1name
      end
      source s2url # simple source
      target_subreddit 'testing'
    end

    mrn.username.must_equal user
    mrn.password.must_equal pass
    mrn.history.wont_be_nil
    mrn.target_subreddit.wont_be_nil

    refute_nil mrn.useragent

    s1 = mrn.sources.first
    s1.formatter.format.must_equal sample_format

    s2 = mrn.sources.last
    s2.source.must_equal s2url

  end
end

