require_relative '../../test_helper'

describe Myredditnews::Formatter do
  before do
    @sample_entry = Myredditnews::Entry.new do
      author 'rudi'
      content '<b>something</b>'
      title 'testing'
      url 'http://test.me/ok.rss'
      title 'a title'
      date 'never'
    end
  end
  it 'must have a default formatting' do
    formatter = Myredditnews::Formatter.default
    refute_nil formatter.format
  end
  it 'default formatter must format title' do
    formatted_entry = Myredditnews::Formatter.default.fmt(@sample_entry)
    assert_includes formatted_entry.title, 'a title'
  end
  it 'custom formatting of title must work' do
    formatter = Myredditnews::Formatter.new do
      format '{{author}} {{author}}'
    end
    formatter.fmt(@sample_entry).title.must_equal 'rudi rudi'
  end
  it 'formatted posts must include links' do
    f = Myredditnews::Formatter.default
    assert_includes f.fmt(@sample_entry).content, "(#{@sample_entry.url})"
  end
  it 'formatted text must remove html' do
    f = Myredditnews::Formatter.default
    refute_includes f.fmt(@sample_entry).content, "<b>"
  end
end


