require_relative '../../test_helper'

describe Myredditnews::History do
  before do
    Myredditnews.dry = false
    @entry = Myredditnews::Entry.new do
      author "rudi"
      content "someone"
      title "foo"
      date "bar"
      url "gopnik"
    end
  end
  it 'can have entries' do
    history = Myredditnews::History.new('testin.db')
    history.posted?("testing").must_equal false
    history.delete_all!
  end
  it 'can add entries' do
    history = Myredditnews::History.new('testing.db')
    history.posted! @entry
    history.posted?(@entry).must_equal true
    history.delete_all!
  end
  it 'can write posted' do
    path = './scrub.txt'
    File.exists?(path).must_equal false
    history = Myredditnews::History.new(path)
    history.posted! @entry
    history.posted?(@entry).must_equal true
    history.append_entries!
    File.exists?(path).must_equal true
    history.delete_all!
  end
  after do
    Myredditnews.dry = true
  end
end

